org.apache.ignite.internal.visor.query

## Class VisorQueryDetailMetrics

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.query.VisorQueryDetailMetrics

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorQueryDetailMetrics
    extends VisorDataTransferObject

Data transfer object for cache query detail metrics.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`VisorQueryDetailMetrics()` Default constructor
`VisorQueryDetailMetrics(QueryDetailMetrics m)`

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getAverageTime()`
`String` `getCache()`
`int` `getCompletions()`
`int` `getExecutions()`
`int` `getFailures()`
`long` `getLastStartTime()`
`long` `getMaximumTime()`
`long` `getMinimumTime()`
`String` `getQuery()`
`String` `getQueryType()`
`long` `getTotalTime()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorQueryDetailMetrics

    public VisorQueryDetailMetrics()

Default constructor

#### VisorQueryDetailMetrics

    public VisorQueryDetailMetrics(QueryDetailMetrics m)

Parameters:
  `m` - Cache query metrics.

### Method Detail

#### getQueryType

    public String getQueryType()

Returns:
  Query type

#### getQuery

    public String getQuery()

Returns:
  Query type

#### getCache

    public String getCache()

Returns:
  Cache name where query was executed.

#### getExecutions

    public int getExecutions()

Returns:
  Number of executions.

#### getCompletions

    public int getCompletions()

Returns:
  Number of completed executions.

#### getFailures

    public int getFailures()

Returns:
  Total number of times a query execution failed.

#### getMinimumTime

    public long getMinimumTime()

Returns:
  Minimum execution time of query.

#### getMaximumTime

    public long getMaximumTime()

Returns:
  Maximum execution time of query.

#### getAverageTime

    public double getAverageTime()

Returns:
  Average execution time of query.

#### getTotalTime

    public long getTotalTime()

Returns:
  Total time of all query executions.

#### getLastStartTime

    public long getLastStartTime()

Returns:
  Latest time query was stared.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019